/* src/zori/zori.c */
int zori_handler_compare(const void *v1, const void *v2);
struct zori_handler *zori_handlers_add(struct zori_handlers *me, zori_event_type type, zori_handler_func *handler, void *data);
void zori_handlers_done(struct zori_handlers *me);
void zori_handlers_init(struct zori_handlers *me);
struct zori_handler *zori_handlers_search(struct zori_handlers *me, zori_event_type type);
int zori_handlers_handle(struct zori_handlers *me, union zori_event *event);
struct zori_root *zori_get_root(void);
struct zori_widget *zori_get_root_widget(void);
struct zori_widget *zori_get_widget(zori_id id);
zori_id zori_get_unused_id(void);
zori_id zori_initialize_root(void);
zori_id zori_start(struct zori_style *default_style);
zori_id zori_set_margins(zori_id id, int left, int top, int right, int bottom);
zori_id zori_set_margin(zori_id id, int size);
zori_id zori_set_paddings(zori_id id, int left, int top, int right, int bottom);
zori_id zori_set_padding(zori_id id, int size);
zori_font *zori_text_font(zori_id id);
void zori_destroy_root(void);
zori_id zori_shutdown(void);
zori_id zori_set_style(zori_id id, struct zori_style *style);
zori_id zori_get_style(zori_id id, struct zori_style *style);
zori_id zori_set_background_color(zori_id id, zori_color color);
zori_id zori_set_background_bitmap(zori_id id, zori_bitmap *bitmap);
zori_id zori_set_foreground_color(zori_id id, zori_color color);
zori_id zori_set_foreground_bitmap(zori_id id, zori_bitmap *bitmap);
zori_id zori_set_border_color(zori_id id, zori_color color);
zori_id zori_set_border_bitmap(zori_id id, zori_bitmap *bitmap);
zori_id zori_set_text_font_flags(zori_id id, int flags);
void zori_draw_all(void);
int zori_handle_system_event(zori_system_event *sysev);
void zori_update(double dt);
int zori_result(zori_id id);
int zori_get_result(zori_id id, struct zori_result *result);
/* src/zori/zori.c */
int zori_handler_compare(const void *v1, const void *v2);
struct zori_handler *zori_handlers_add(struct zori_handlers *me, zori_event_type type, zori_handler_func *handler, void *data);
void zori_handlers_done(struct zori_handlers *me);
void zori_handlers_init(struct zori_handlers *me);
struct zori_handler *zori_handlers_search(struct zori_handlers *me, zori_event_type type);
int zori_handlers_handle(struct zori_handlers *me, union zori_event *event);
struct zori_root *zori_get_root(void);
struct zori_widget *zori_get_root_widget(void);
struct zori_widget *zori_get_widget(zori_id id);
zori_id zori_get_unused_id(void);
zori_id zori_initialize_root(void);
zori_id zori_start(struct zori_style *default_style);
zori_id zori_set_margins(zori_id id, int left, int top, int right, int bottom);
zori_id zori_set_margin(zori_id id, int size);
zori_id zori_set_paddings(zori_id id, int left, int top, int right, int bottom);
zori_id zori_set_padding(zori_id id, int size);
zori_font *zori_text_font(zori_id id);
void zori_destroy_root(void);
zori_id zori_shutdown(void);
zori_id zori_set_style(zori_id id, struct zori_style *style);
zori_id zori_get_style(zori_id id, struct zori_style *style);
zori_id zori_set_background_color(zori_id id, zori_color color);
zori_id zori_set_background_bitmap(zori_id id, zori_bitmap *bitmap);
zori_id zori_set_foreground_color(zori_id id, zori_color color);
zori_id zori_set_foreground_bitmap(zori_id id, zori_bitmap *bitmap);
zori_id zori_set_border_color(zori_id id, zori_color color);
zori_id zori_set_border_bitmap(zori_id id, zori_bitmap *bitmap);
zori_id zori_set_text_font(zori_id id, zori_font *font);
zori_id zori_set_text_font_flags(zori_id id, int flags);
void zori_draw_all(void);
int zori_handle_system_event(zori_system_event *sysev);
void zori_update(double dt);
int zori_result(zori_id id);
int zori_get_result(zori_id id, struct zori_result *result);
